Bullet Collision Detection & Physics Library: btBulletSerializedArrays Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btBulletSerializedArrays Struct Reference

`#include <btSerializer.h>`

Collaboration diagram for btBulletSerializedArrays:
[legend]

## Public Member Functions
| btBulletSerializedArrays ()

## Public Attributes
btAlignedObjectArray< struct btQuantizedBvhDoubleData * > | m_bvhsDouble
btAlignedObjectArray< struct btQuantizedBvhFloatData * > | m_bvhsFloat
btAlignedObjectArray< struct btCollisionShapeData * > | m_colShapeData
btAlignedObjectArray< struct btDynamicsWorldDoubleData * > | m_dynamicWorldInfoDataDouble
btAlignedObjectArray< struct btDynamicsWorldFloatData * > | m_dynamicWorldInfoDataFloat
btAlignedObjectArray< struct btRigidBodyDoubleData * > | m_rigidBodyDataDouble
btAlignedObjectArray< struct btRigidBodyFloatData * > | m_rigidBodyDataFloat
btAlignedObjectArray< struct btCollisionObjectDoubleData * > | m_collisionObjectDataDouble
btAlignedObjectArray< struct btCollisionObjectFloatData * > | m_collisionObjectDataFloat
btAlignedObjectArray< struct btTypedConstraintFloatData * > | m_constraintDataFloat
btAlignedObjectArray< struct btTypedConstraintDoubleData * > | m_constraintDataDouble
btAlignedObjectArray< struct btTypedConstraintData * > | m_constraintData
btAlignedObjectArray< struct btSoftBodyFloatData * > | m_softBodyFloatData
btAlignedObjectArray< struct btSoftBodyDoubleData * > | m_softBodyDoubleData

## Detailed Description

Definition at line 142 of file btSerializer.h.

## Constructor & Destructor Documentation

## § btBulletSerializedArrays()

btBulletSerializedArrays::btBulletSerializedArrays | ( |  | ) |
| inline

Definition at line 144 of file btSerializer.h.

## Member Data Documentation

## § m_bvhsDouble

btAlignedObjectArray<struct btQuantizedBvhDoubleData*> btBulletSerializedArrays::m_bvhsDouble

Definition at line 147 of file btSerializer.h.

## § m_bvhsFloat

btAlignedObjectArray<struct btQuantizedBvhFloatData*> btBulletSerializedArrays::m_bvhsFloat

Definition at line 148 of file btSerializer.h.

## § m_collisionObjectDataDouble

btAlignedObjectArray<struct btCollisionObjectDoubleData*> btBulletSerializedArrays::m_collisionObjectDataDouble

Definition at line 154 of file btSerializer.h.

## § m_collisionObjectDataFloat

btAlignedObjectArray<struct btCollisionObjectFloatData*> btBulletSerializedArrays::m_collisionObjectDataFloat

Definition at line 155 of file btSerializer.h.

## § m_colShapeData

btAlignedObjectArray<struct btCollisionShapeData*> btBulletSerializedArrays::m_colShapeData

Definition at line 149 of file btSerializer.h.

## § m_constraintData

btAlignedObjectArray<struct btTypedConstraintData*> btBulletSerializedArrays::m_constraintData

Definition at line 158 of file btSerializer.h.

## § m_constraintDataDouble

btAlignedObjectArray<struct btTypedConstraintDoubleData*> btBulletSerializedArrays::m_constraintDataDouble

Definition at line 157 of file btSerializer.h.

## § m_constraintDataFloat

btAlignedObjectArray<struct btTypedConstraintFloatData*> btBulletSerializedArrays::m_constraintDataFloat

Definition at line 156 of file btSerializer.h.

## § m_dynamicWorldInfoDataDouble

btAlignedObjectArray<struct btDynamicsWorldDoubleData*> btBulletSerializedArrays::m_dynamicWorldInfoDataDouble

Definition at line 150 of file btSerializer.h.

## § m_dynamicWorldInfoDataFloat

btAlignedObjectArray<struct btDynamicsWorldFloatData*> btBulletSerializedArrays::m_dynamicWorldInfoDataFloat

Definition at line 151 of file btSerializer.h.

## § m_rigidBodyDataDouble

btAlignedObjectArray<struct btRigidBodyDoubleData*> btBulletSerializedArrays::m_rigidBodyDataDouble

Definition at line 152 of file btSerializer.h.

## § m_rigidBodyDataFloat

btAlignedObjectArray<struct btRigidBodyFloatData*> btBulletSerializedArrays::m_rigidBodyDataFloat

Definition at line 153 of file btSerializer.h.

## § m_softBodyDoubleData

btAlignedObjectArray<struct btSoftBodyDoubleData*> btBulletSerializedArrays::m_softBodyDoubleData

Definition at line 160 of file btSerializer.h.

## § m_softBodyFloatData

btAlignedObjectArray<struct btSoftBodyFloatData*> btBulletSerializedArrays::m_softBodyFloatData

Definition at line 159 of file btSerializer.h.

The documentation for this struct was generated from the following file:

- btSerializer.h